.slider {
    width: 100%;
    position: relative;
    overflow: hidden;
}

.slider-wrapper {
    height: 100%;
    width: 100%;
}

.slide {
    width: 100%;
    height: 100%;
    background: black;
    position: absolute;
}

.slider-previous, .slider-next, .slider-current {
    transition: transform 1s;
    left: 0;
}


.slider-previous {
    transform: translateX(-75%);
    z-index: 1;
}

.slider-next {
    transform: translateX(100%);
    z-index: 1;
}

.slider-current {
    z-index: 2;
    z-index: 2;
}

.slide-info {
    height: 100%;
    padding: 0 150px;
}

.slide-info * {
    text-shadow: 0 0 20px black, 0 0 20px black;
}

.move-out-text-to-left {
    opacity:0;
    animation-name: moveout-toleft;
    animation-duration: 0.3s;
    animation-timing-function: ease-in-out;
}

.slider-achievements .slide-info {
    background: #0000003d;
}

.slider-achievements .slide-info h3 {
    margin-bottom: 0;
}

@keyframes moveout-toleft {
    0% {
        filter: blur(0px);
        opacity: 1;
        transform: translateX(0);
    }
    100% {
        opacity: 0;
        filter: blur(3px);
        transform: translateX(-50%);
    }
}

.move-in-text-to-left {
    animation-name: movein-toleft;
    animation-duration: 0.3s;
    animation-timing-function: ease-in-out;
}

@keyframes movein-toleft {
    from {
        opacity: 0;
        filter: blur(3px);
        transform: translateX(50%);
    }
    to {
        filter: blur(0px);
        opacity: 1;
        transform: translateX(0%);
    }
}

.move-out-text-to-right {
    opacity:0;
    animation-name: moveout-toright;
    animation-duration: 0.3s;
    animation-timing-function: ease-in-out;
}

@keyframes moveout-toright {
    0% {
        filter: blur(0px);
        opacity: 1;
        transform: translateX(0);
    }
    100% {
        opacity: 0;
        filter: blur(3px);
        transform: translateX(50%);
    }
}

.move-in-text-to-right {
    animation-name: movein-toright;
    animation-duration: 0.3s;
    animation-timing-function: ease-in-out;
}

@keyframes movein-toright {
    from {
        opacity: 0;
        filter: blur(3px);
        transform: translateX(-50%);
    }
    to {
        filter: blur(0px);
        opacity: 1;
        transform: translateX(0%);
    }
}

.slide-info-left {
    text-align: left;
}

.slide-info-left p {
    max-width: 600px;
}

.slide-info-right {
    text-align: right;
}

.slide-info-right p {
    max-width: 450px;
}

.backArrow, .nextArrow {
    position: absolute;
    height: 100%;
    top: 0;
    padding: 0 50px;
    opacity: 0.5;
    transition: 0.2s cubic-bezier(0.39, 0.58, 0.57, 1);
    cursor: pointer;
    z-index: 3;
}

.backArrow {
    left: 0;
}

.nextArrow {
    right: 0;
}

.backArrow:hover, .nextArrow:hover {
    opacity: 1;
    transform: scale(1.02);
    background-color: rgba(0, 0, 0, 0.36);
    transition: 0.2s cubic-bezier(0.39, 0.58, 0.57, 1);
}

.slide-info .registration button {
    position: relative;
    border: 2px solid #FFFFFF;
    box-sizing: border-box;
    background-color: transparent;
    background-image: linear-gradient(to right, transparent 50%, var(--main-theme1) 50%);
    -webkit-transition: background-position 0.5s;
    -moz-transition: background-position 0.5s;
    transition: border 0.5s, background-position 0.5s;
}

.slide-info .registration button:hover{
    border: 2px solid var(--main-theme1);
}

@media screen and (max-width: 1444px) {
    .slide-info h3 {
        font-size: 3.5vw !important;
    }
    .slide-info-left p {
        font-size: 1vw !important;
        max-width: 420px;
    }
    .slider-stock {
        height: 310px !important;
    }
    .slide-info-right p {
        max-width: 340px !important;
    }
    .slider-gallery {
        height: 580px !important;
    }
}

@media screen and (max-width: 1444px) and (min-width: 768px) {
    .slider-stock .slide-info h3 {
        font-size: 4.3vw !important;
    }
    .slider-stock .slide-info h4 {
        font-size: 3.3vw !important;
    }
}

@media screen and (max-width: 1000px) {
    .slide-info {
        padding: 0 100px;
    }
}

@media screen and (max-width: 768px) {
    img.arrow {
        height: 10%;
    }
    .backArrow, .nextArrow {
        padding: 0 25px;
    }
    .slide-info {
        padding: 0 50px;
    }
    .slider-stock {
        height: 23vw !important;
    }
    .slider-gallery {
        height: 43vw !important;
    }
}
@media screen and (max-width: 768px) and (min-width: 520px){
    .slide-info h3 {
        font-size: 4.7vw !important;
        margin-bottom: 0 !important;
        line-height: 5vw !important;
    }
    .slide-info-left p {
        font-size: 1.6vw !important;
        line-height: 2.7vw !important;
        max-width: 410px !important;
    }
    .slider-stock .slide-info h3 {
        font-size: 7.3vw !important;
    }
    .slider-stock .slide-info h4 {
        font-size: 4.3vw !important;
        margin-bottom: 0;
    }
    .slide-info-right p {
        max-width: 25vw !important;
        line-height: 2vw !important;
        font-size: 1.3vw !important;
    }
}
@media screen and (max-width: 520px) {
    .slide-info h3 {
        font-size: 6.5vw !important;
        line-height: 11vw;
        margin: 0;
    }
    .slide-info-left p {
        font-size: 2.7vw !important;
        line-height: 4.5vw;
        max-width: 270px;
    }
    .slider-stock {
        height: 500px !important;
        margin-bottom: 50px;
    }
    .slider-stock .slide-info {
        height: unset;
        padding: 0;
    }
    .slider-stock .slide {
        background: transparent;
    }
    .slider-stock .slide-info h3 {
        font-size: 12.8vw !important;
    }
    .slider-stock .slide-info h4 {
        font-size: 7.5vw !important;
        margin: 0;
    }
    .slider-stock .slide-info-left {
        margin-bottom: 30px;
        height: 100px;
    }
    .slider-stock .slide-info-right {
        text-align: left;
        margin-top: 30px;
        padding-left: 40px;
    }
    .slider-stock .backArrow, .slider-stock .nextArrow {
        height: 200px;
        top: 130px;
    }
    .slide-info-right p {
        max-width: 180px !important;
        line-height: 4.5vw !important;
        font-size: 2.7vw !important;
    }
    .slider-gallery {
        height: 300px !important;
    }
}